﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CreateCertificate.aspx.cs" Inherits="CreateCertificate" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Create Certificate</title>
     <link href="style.css" rel="stylesheet" type="text/css" />
</head>

<body>
<form id="form1" runat="server">

<h1>Time Stamp Server - Create Certificate</h1>
        <p>
            <asp:Label ID="LabelError" runat="server" ForeColor="Red" style="font-weight: 700"></asp:Label>
        </p>
        <p>
            <asp:Label ID="LabelInfo" runat="server"></asp:Label>
        </p>
<h2>Create the Timestamping Certificate (PFX Format)</h2>

        <table border="0" cellpadding="3" cellspacing="2" style="width: 430px">
        <tr>
          <td>*TSA Server Name (CN=):</td>
          <td><asp:TextBox ID="CN" runat="server" MaxLength="0" Width="218px"></asp:TextBox></td>
        </tr>
        
        <tr>
          <td>Organization Name (O=):</td>
          <td><asp:TextBox ID="O" runat="server" MaxLength="40" Width="218px"></asp:TextBox></td>
        </tr>
        
        <tr>
           <td>Organization Unit (OU=):</td>
          <td><asp:TextBox ID="OU" runat="server" MaxLength="40" Width="218px"></asp:TextBox></td>
        </tr>
        
        <tr>
          <td>E-mail Address (E=):</td>
          <td><asp:TextBox ID="E" runat="server" MaxLength="40" Width="218px"></asp:TextBox></td>
        </tr>
        
         <tr>
          <td>Country Code (C=):</td>
          <td><asp:TextBox ID="C" runat="server" MaxLength="2" Width="34px"></asp:TextBox></td>
        </tr>
        
        <tr>
          <td>Certificate Validity Period:</td>
          <td><asp:TextBox ID="TextBoxPeriod" runat="server" MaxLength="3" Width="34px">5</asp:TextBox>
              <asp:DropDownList ID="DropDownListPeriod" runat="server">
                  <asp:ListItem>Days</asp:ListItem>
                  <asp:ListItem>Months</asp:ListItem>
                  <asp:ListItem Selected="True">Years</asp:ListItem>
              </asp:DropDownList>
          </td>
        </tr>
        
        <tr>
          <td>RSA Key Size:</td>
          <td><asp:DropDownList ID="DropDownListRSAKeySize" runat="server">
                  <asp:ListItem>1024</asp:ListItem>
                  <asp:ListItem Selected="True">2048</asp:ListItem>
                  <asp:ListItem>4096</asp:ListItem>
              </asp:DropDownList>
              &nbsp;bits</td>
        </tr>
        
                <tr>
          <td>Hashing algorithm:</td>
          <td><asp:DropDownList ID="DropDownListSHAAlgorithm" runat="server" >
                  <asp:ListItem>SHA1</asp:ListItem>
                  <asp:ListItem Selected="True">SHA256</asp:ListItem>
               <asp:ListItem>SHA512</asp:ListItem>
              </asp:DropDownList>
              &nbsp;</td>
        </tr>
       
        <tr>
          <td>*PFX Certificate Password:</td>
          <td><asp:TextBox ID="Password" runat="server" MaxLength="40" Width="218px" 
                  TextMode="Password" AUTOCOMPLETE="off"></asp:TextBox></td>
        </tr>
      </table>
        <p>
 
            <b>
        <asp:CheckBox ID="CheckBoxSaveAsDefaultCertificate" runat="server" 
            Text="Set as current timestamping certificate" Checked="True" />
            </b>&nbsp;<br />
            This certificate will be used to sign the Time Stamp Responses generated by 
            this Time Stamp Server</p>
<p>
 
        <asp:Button ID="ButtonCancel" runat="server" 
            Text="Back" 
            onclick="ButtonCancel_Click" />

    &nbsp;<asp:Button ID="ButtonGenerateCertificate" runat="server" 
                Text="Generate Certificate" onclick="ButtonGenerateCertificate_Click" />

&nbsp;<asp:Button ID="ButtonDownloadCertificate" runat="server" 
                Text="Download Certificate" 
            onclick="ButtonDownloadCertificate_Click" Visible="False" /></p>

</form>
        <br />
</body>
</html>
