﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SelectCertificate.aspx.cs" Inherits="SelectTSACertificate" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Digital Certificate</title>
    <link href="style.css" rel="stylesheet" type="text/css" />
</head>
<body>

    <form id="form1" runat="server" visible="True">
        <h1>Time Stamp Server - Digital Certificate</h1>
        <p>
            <asp:Label ID="LabelError" runat="server" ForeColor="Red" style="font-weight: 700"></asp:Label>
        </p>
        <p>
            <asp:Label ID="LabelInfo" runat="server"></asp:Label>
        </p>
    <h2>Timestamping Digital Certificate</h2>
            <p>
                <asp:RadioButton ID="RadioButtonPFX" runat="server" AutoPostBack="True" 
                    Checked="True" GroupName="certificate" 
                    oncheckedchanged="RadioButtonPFX_CheckedChanged" 
                    Text="Load certificate from a .PFX file"  />
                <br />
                <asp:RadioButton ID="RadioButtonMSStore" runat="server" AutoPostBack="True" 
                    GroupName="certificate" oncheckedchanged="RadioButtonPFX_CheckedChanged" 
                    Text="Load certificate from Microsoft Certificate Store" />
            </p>
            <asp:Panel ID="PanelPFX" runat="server">
                <p>
                    <asp:Label ID="LabelPFXFile" runat="server" 
                        Text="Load the certificate file:"></asp:Label>
                    &nbsp;<asp:FileUpload ID="FileUploadPFX" runat="server" />
                </p>
                <p>
                    <asp:Label ID="LabelPFXPassword" runat="server" 
                        Text="Certificate file password:"></asp:Label>
                    &nbsp;&nbsp;<asp:TextBox ID="PFXPassword" runat="server" TextMode="Password" AUTOCOMPLETE="off"></asp:TextBox>
                    &nbsp;<asp:Button ID="ButtonLoadCertificate" runat="server" 
                        Text="Load Certificate" onclick="ButtonLoadCertificate_Click" />
                    &nbsp; 
                </p>
            </asp:Panel>

            <asp:Panel ID="PanelCertificateStore" runat="server" Visible="False">
                <p>
                    <asp:Label ID="LabelSelectStore" runat="server" 
                        Text="Select the certificate store:"></asp:Label>
                    &nbsp;<asp:DropDownList ID="DropDownListStore" runat="server" AutoPostBack="True" 
                        onselectedindexchanged="DropDownListStore_SelectedIndexChanged">
                        <asp:ListItem>Current User</asp:ListItem>
                        <asp:ListItem>Local Machine</asp:ListItem>
                    </asp:DropDownList>
                </p>
                <p>
                    <asp:Label ID="LabelCertificatesOnStore" runat="server" 
                        Text="Certificates on this store:"></asp:Label>
                    &nbsp;<asp:DropDownList ID="DropDownListCertificate" runat="server" 
                        AutoPostBack="True" CausesValidation="True" 
                        onselectedindexchanged="DropDownListCertificate_SelectedIndexChanged" 
                        Width="594px">
                    </asp:DropDownList>
                    &nbsp;</p>
            </asp:Panel>
   
    <p>
        <asp:Label ID="LabelInfoCertificate" runat="server"></asp:Label>
    </p>
    <hr/>
    <p>
        <asp:Button ID="ButtonCancel" runat="server" 
            Text="Back" 
            onclick="ButtonCancel_Click" />

    &nbsp;&nbsp;&nbsp; 
        <asp:Button ID="ButtonSaveConfig" runat="server" 
            Text="Set as Current Timestamping Certificate" 
            onclick="ButtonSaveConfig_Click" Enabled="False" />

    </p>
    </form>
</body>
</html>
