﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Users.aspx.cs" Inherits="Users" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Authentication</title>
    <link href="style.css" rel="stylesheet" type="text/css" />
</head>
<body>

    <form id="form1" runat="server">
    <h1>Time Stamp Server - Authentication</h1>
    <p>
        <asp:Label ID="LabelInfo" runat="server" 
            style="font-weight: 700; font-style: italic" Text="Label information" 
            Visible="False"></asp:Label>
    </p>
    <h2><asp:Label ID="LabelOperation" runat="server" 
            Text="Add Users to the Time Stamp Server"></asp:Label>
    </h2>

    <div>
    
        <p>
        Username:
            <asp:TextBox ID="TextBoxUsername" runat="server"></asp:TextBox>
&nbsp;
            Password:
            <asp:TextBox ID="TextBoxPasswd1" runat="server"></asp:TextBox>
            <asp:CheckBox ID="CheckBoxIsActive" runat="server" Checked="True" 
                Text="User is enabled" />
        </p>
        <p>
            Maximum number of requests:
            <asp:TextBox ID="TextBoxMaximumReq" runat="server">10000</asp:TextBox>
&nbsp;<asp:CheckBox ID="CheckBoxUnlimitedReq" runat="server" 
                Text="Unlimited number of requests" AutoPostBack="True" 
                oncheckedchanged="CheckBoxUnlimitedReq_CheckedChanged" />
        </p>
        <p>
        &nbsp;<asp:Button ID="ButtonAddChange" runat="server" Text="Add User" 
                onclick="ButtonAddUser_Click" />
        &nbsp;&nbsp;
            <asp:Button ID="ButtonCancelChange" runat="server" Text="Cancel" 
                onclick="ButtonCancelChange_Click" Visible="False" />
        </p>
 <h2>Time Stamp Server Users</h2>

<asp:Repeater id="Repeater1" runat="server">

<HeaderTemplate>


<table bgcolor = "White" border="0" cellpadding="7" cellspacing="0" width="100%">
<tr>
<tr>

<tr>
<td><font face="verdana, arial, helvetica" size="1" color="black"><b>No.</b></font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"><b>Username</b></font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"><b>Requests</b></font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"><b>Maximum</b></font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"><b>Creation date</b></font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"><b>Is active</b></font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"><b>Change</b></font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"><b>Delete</b></font></td>
</tr>
</HeaderTemplate>

<ItemTemplate>
<tr>
<td><font face="verdana, arial, helvetica" size="1" color="black"> <%# DataBinder.Eval(Container.DataItem, "No")%> </font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"> <%# DataBinder.Eval(Container.DataItem, "Username")%> </font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"> <%# DataBinder.Eval(Container.DataItem, "Requests")%> </font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"> <%# DataBinder.Eval(Container.DataItem, "Maximum") %> </font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"> <%# DataBinder.Eval(Container.DataItem, "Date") %> </font></td>
<td><font face="verdana, arial, helvetica" size="1" color="black"> <%# DataBinder.Eval(Container.DataItem, "IsActive") %> </font></td>
<td><font face="verdana, arial, helvetica" size="1"><asp:LinkButton ID="LinkButtonChangeUser" Runat="server" OnCommand="LinkButtonChangeUser" CommandArgument= '<%# DataBinder.Eval(Container.DataItem, "Username")%>' CommandName='Change' Text="Change" /></font></td>
<td><font face="verdana, arial, helvetica" size="1"><asp:LinkButton ID="LinkButtonDeleteUser" Runat="server" OnCommand="LinkButtonChangeUser" CommandArgument= '<%# DataBinder.Eval(Container.DataItem, "Username")%>' CommandName='Delete' Text="Delete" /></font></td>


</tr>
</ItemTemplate>

<FooterTemplate>
</table>
</FooterTemplate>

</asp:Repeater>

         <p>
             <asp:Button ID="ButtonReturn" runat="server" onclick="ButtonReturn_Click" 
                 Text="Back" />
&nbsp;
<asp:Button ID="ButtonExportList" runat="server" Text="Export Users as CSV" 
                 onclick="ButtonExportList_Click" />
&nbsp;
             <asp:Button ID="ButtonRefresh" runat="server" onclick="ButtonRefresh_Click" 
                 Text="Refresh" />
</p>
    
    </div>
    </form>
</body>
</html>
